# luaconf.h File Reference

`#include <limits.h>`
`#include <stddef.h>`
`#include <fastmath.h>`

Go to the source code of this file.

## Defines
#define | LUA_PATH "LUA_PATH"
#define | LUA_CPATH "LUA_CPATH"
#define | LUA_INIT "LUA_INIT"
#define | LUA_ROOT "/usr/local/"
#define | LUA_LDIR LUA_ROOT "share/lua/5.1/"
#define | LUA_CDIR LUA_ROOT "lib/lua/5.1/"
#define | LUA_PATH_DEFAULT
#define | LUA_CPATH_DEFAULT "./?.so;" LUA_CDIR"?.so;" LUA_CDIR"loadall.so"
#define | LUA_DIRSEP "/"
#define | LUA_PATHSEP ";"
#define | LUA_PATH_MARK "?"
#define | LUA_EXECDIR "!"
#define | LUA_IGMARK "-"
#define | LUA_INTEGER ptrdiff_t
#define | LUA_API extern
#define | LUALIB_API LUA_API
#define | LUAI_FUNC "hidden"
#define | LUAI_DATA "hidden"
#define | LUA_QL(x) "'" x "'"
#define | LUA_QS LUA_QL("%s")
#define | LUA_IDSIZE 60
#define | LUAI_GCPAUSE 1000
#define | LUAI_GCMUL 100
#define | LUA_COMPAT_VARARG
#define | LUA_COMPAT_LSTR 1
#define | LUA_COMPAT_GFIND
#define | LUA_COMPAT_OPENLIB
#define | luai_apicheck(L, o) { (void)L; }
#define | LUAI_BITSINT 16
#define | LUAI_UINT32 unsigned long
#define | LUAI_INT32 long
#define | LUAI_MAXINT32 LONG_MAX
#define | LUAI_UMEM unsigned long
#define | LUAI_MEM long
#define | LUAI_MAXCALLS 20000
#define | LUAI_MAXCSTACK 8000
#define | LUAI_MAXCCALLS 200
#define | LUAI_MAXVARS 200
#define | LUAI_MAXUPVALUES 60
#define | LUAL_BUFFERSIZE BUFSIZ
#define | LUA_NUMBER_DOUBLE
#define | LUA_NUMBER float
#define | LUAI_UACNUMBER float
#define | LUA_NUMBER_SCAN "%f"
#define | LUA_NUMBER_FMT "%f"
#define | lua_number2str(s, n) sprintf((s), LUA_NUMBER_FMT, (n))
#define | LUAI_MAXNUMBER2STR 32
#define | lua_str2number(s, p) strtod((s), (p))
#define | luai_numadd(a, b) add_single(a, b)
#define | luai_numsub(a, b) sub_single(a, b)
#define | luai_nummul(a, b) mul_single(a, b)
#define | luai_numdiv(a, b) div_single(a, b)
#define | luai_numunm(a) (-(a))
#define | luai_numeq(a, b) ((a)==(b))
#define | luai_numlt(a, b) ((a)<(b))
#define | luai_numle(a, b) ((a)<=(b))
#define | luai_numisnan(a) (!luai_numeq((a), (a)))
#define | lua_number2int(i, d) ((i)=(int)(d))
#define | lua_number2integer(i, d) ((i)=(lua_Integer)(d))
#define | LUAI_USER_ALIGNMENT_T union { float u; void *s; long l; }
#define | LUAI_THROW(L, c) longjmp((c)->b, 1)
#define | LUAI_TRY(L, c, a) if (setjmp((c)->b) == 0) { a }
#define | luai_jmpbuf jmp_buf
#define | LUA_MAXCAPTURES 32
#define | lua_popen(L, c, m)
#define | lua_pclose(L, file) ((void)((void)L, file), 0)
#define | LUAI_EXTRASPACE 0
#define | luai_userstateopen(L) ((void)L)
#define | luai_userstateclose(L) ((void)L)
#define | luai_userstatethread(L, L1) ((void)L)
#define | luai_userstatefree(L) ((void)L)
#define | luai_userstateresume(L, n) ((void)L)
#define | luai_userstateyield(L, n) ((void)L)
#define | LUA_INTFRMLEN "l"
#define | LUA_INTFRM_T long
## Functions
static float | add_single (float a, float b)
static float | sub_single (float a, float b)
static float | mul_single (float a, float b)
static float | div_single (float a, float b)

## Define Documentation

#define LUA_API extern

#define LUA_CDIR LUA_ROOT "lib/lua/5.1/"

#define LUA_COMPAT_GFIND

#define LUA_COMPAT_LSTR 1

#define LUA_COMPAT_OPENLIB

#define LUA_COMPAT_VARARG

#define LUA_CPATH "LUA_CPATH"

#define LUA_CPATH_DEFAULT "./?.so;" LUA_CDIR"?.so;" LUA_CDIR"loadall.so"

#define LUA_DIRSEP "/"

#define LUA_EXECDIR "!"

#define LUA_IDSIZE 60

#define LUA_IGMARK "-"

#define LUA_INIT "LUA_INIT"

#define LUA_INTEGER ptrdiff_t

#define LUA_INTFRM_T long

#define LUA_INTFRMLEN "l"

#define LUA_LDIR LUA_ROOT "share/lua/5.1/"

#define LUA_MAXCAPTURES 32

#define LUA_NUMBER float

#define lua_number2int | ( | i,
|  | d |  | ) | ((i)=(int)(d))

#define lua_number2integer | ( | i,
|  | d |  | ) | ((i)=(lua_Integer)(d))

#define lua_number2str | ( | s,
|  | n |  | ) | sprintf((s), LUA_NUMBER_FMT, (n))

#define LUA_NUMBER_DOUBLE

#define LUA_NUMBER_FMT "%f"

#define LUA_NUMBER_SCAN "%f"

#define LUA_PATH "LUA_PATH"

#define LUA_PATH_DEFAULT

Value:

    "./?.lua;"  LUA_LDIR"?.lua;"  LUA_LDIR"?/init.lua;" \
                                LUA_CDIR"?.lua;"  LUA_CDIR"?/init.lua"

#define LUA_PATH_MARK "?"

#define LUA_PATHSEP ";"

#define lua_pclose | ( | L,
|  | file |  | ) | ((void)((void)L, file), 0)

#define lua_popen | ( | L,
|  | c,
|  | m |  | ) |

Value:

    ((void)((void)c, m),  \
                    luaL_error(L, LUA_QL("popen") " not supported"), (FILE*)0)

#define LUA_QL | ( | x |  | ) | "'" x "'"

#define LUA_QS LUA_QL("%s")

#define LUA_ROOT "/usr/local/"

#define lua_str2number | ( | s,
|  | p |  | ) | strtod((s), (p))

#define luai_apicheck | ( | L,
|  | o |  | ) | { (void)L; }

#define LUAI_BITSINT 16

#define LUAI_DATA "hidden"

#define LUAI_EXTRASPACE 0

#define LUAI_FUNC "hidden"

#define LUAI_GCMUL 100

#define LUAI_GCPAUSE 1000

#define LUAI_INT32 long

#define luai_jmpbuf jmp_buf

#define LUAI_MAXCALLS 20000

#define LUAI_MAXCCALLS 200

#define LUAI_MAXCSTACK 8000

#define LUAI_MAXINT32 LONG_MAX

#define LUAI_MAXNUMBER2STR 32

#define LUAI_MAXUPVALUES 60

#define LUAI_MAXVARS 200

#define LUAI_MEM long

#define luai_numadd | ( | a,
|  | b |  | ) | add_single(a, b)

#define luai_numdiv | ( | a,
|  | b |  | ) | div_single(a, b)

#define luai_numeq | ( | a,
|  | b |  | ) | ((a)==(b))

#define luai_numisnan | ( | a |  | ) | (!luai_numeq((a), (a)))

#define luai_numle | ( | a,
|  | b |  | ) | ((a)<=(b))

#define luai_numlt | ( | a,
|  | b |  | ) | ((a)<(b))

#define luai_nummul | ( | a,
|  | b |  | ) | mul_single(a, b)

#define luai_numsub | ( | a,
|  | b |  | ) | sub_single(a, b)

#define luai_numunm | ( | a |  | ) | (-(a))

#define LUAI_THROW | ( | L,
|  | c |  | ) | longjmp((c)->b, 1)

#define LUAI_TRY | ( | L,
|  | c,
|  | a |  | ) | if (setjmp((c)->b) == 0) { a }

#define LUAI_UACNUMBER float

#define LUAI_UINT32 unsigned long

#define LUAI_UMEM unsigned long

#define LUAI_USER_ALIGNMENT_T union { float u; void *s; long l; }

#define luai_userstateclose | ( | L |  | ) | ((void)L)

#define luai_userstatefree | ( | L |  | ) | ((void)L)

#define luai_userstateopen | ( | L |  | ) | ((void)L)

#define luai_userstateresume | ( | L,
|  | n |  | ) | ((void)L)

#define luai_userstatethread | ( | L,
|  | L1 |  | ) | ((void)L)

#define luai_userstateyield | ( | L,
|  | n |  | ) | ((void)L)

#define LUAL_BUFFERSIZE BUFSIZ

#define LUALIB_API LUA_API

## Function Documentation

static float add_single | ( | float | a,
|  | float | b |
| ) |  |  | `[static]`

static float div_single | ( | float | a,
|  | float | b |
| ) |  |  | `[static]`

static float mul_single | ( | float | a,
|  | float | b |
| ) |  |  | `[static]`

static float sub_single | ( | float | a,
|  | float | b |
| ) |  |  | `[static]`